Financial Business FBO Accounts
An financial business fbo account (which stands for “For Benefit Of”) is a bank or investment account that is set up to receive funds on behalf of a third party or “beneficiary,” such as a person, trust, business, or organization.
Unit provides a cross-platform suite of flexible and customizable UI components, including an account component and an account activity component. You may embed these components into your app to shorten your time to market and deliver a highly optimized experience to your end customer with minimal engineering investment.
Unit financial business fbo accounts can belong to an fbo business customer.
Create Financial Business FBO Customer
Creates a financial business fbo customer.
| Verb | POST |
| URL | https://api.s.unit.sh/customers |
| Required Scope | accounts-write |
| Data Type | businessFBOCustomer |
| Timeout (Seconds) | 5 |
Attributes
| Name | Type | Description |
|---|---|---|
| businessName Required | string | Name of the business. |
| address Required | Address | Address of the business. |
| businessVertical Required | BusinessVertical | The business vertical of the business. |
| numberOfEmployees Required | NumberOfEmployees | Number of employees of the business. |
| bankName Required | string | the name of the bank. |
| tags Optional | object | See Tags. |
| idempotencyKey | string | Optional, but strongly recommended. See Idempotency. |
Relationships
| Name | Type | Description |
|---|---|---|
| org Required | JSON:API Relationship | The org that the linked account belongs to. |
curl -X POST 'https://api.s.unit.sh/customers'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "businessFBOCustomer",
"attributes": {
"businessName": "Pied Piper",
"address": {
"street": "1463 41st Avenue",
"city": "San Francisco",
"state": "CA",
"postalCode": "94122",
"country": "US"
},
"businessVertical": "RepairAndMaintenance",
"numberOfEmployees": "Between10And50",
"bankName": "Piermont",
"tags": {},
"idempotencyKey": "3a1a33be-4e12-4603-9ed0-820922389fb9"
},
"relationships": {
"org": {
"data": {
"type": "org",
"id": "1"
}
}
}
}
}'
Response
Response is a JSON:API document.
201 Created
| Name | Type | Description |
|---|---|---|
| data | BusinessFBOCustomer | The requested resource after the operation was completed. |
{
"data": {
"type": "businessFBOCustomer",
"id": "1",
"attributes": {
"createdAt": "2023-07-23T09:13:18.926Z",
"businessName": "Pied Piper",
"name": "Piermont for the benefit of Pied Piper",
"businessVertical": "RepairAndMaintenance",
"bankName": "Piermont",
"numberOfEmployees": "Between10And50",
"address": {
"street": "1463 41st Avenue",
"city": "San Francisco",
"state": "CA",
"postalCode": "94122",
"country": "US"
},
"tags": {}
},
"relationships": {
"org": {
"data": {
"type": "org",
"id": "1"
}
}
}
}
}
Create Financial Business FBO Account
Creates a financial business fbo account for a Customer . An account.created event is raised when the call was successful.
Each financial business fbo account is created using a specific deposit product. A deposit product is a predefined set of terms associated with this financial business fbo account (e.g. interest rate, spending limits).
Use checking as the default value for the deposit product field while building your solution in Sandbox. Contact Unit to create other deposit products under your organization.
Financial business fbo Account creation request supports Idempotency, ensuring that performing multiple identical requests will have the same effect as performing a single request.
A successful account creation will result in an account in Open status. Later on, accounts can be either frozen, closed and in some cases reopened.
| Verb | POST |
| URL | https://api.s.unit.sh/accounts |
| Required Scope | accounts-write |
| Data Type | financialBusinessFBOAccount |
| Timeout (Seconds) | 5 |
Attributes
| Name | Type | Description |
|---|---|---|
| depositProduct Required | string | The name of the deposit product. |
| tags Optional | object | See Tags. |
| idempotencyKey Optional | string | See Idempotency. |
Relationships
| Name | Type | Description |
|---|---|---|
| customer | Required for financial business fbo accounts. JSON:API Relationship | The customer the financial business fbo Account account belongs to. The customer is a fbo business customer. |
You must provide exactly one customer.
curl -X POST 'https://api.s.unit.sh/accounts'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "financialBusinessFBOAccount",
"attributes": {
"depositProduct": "checking",
"tags": {
"purpose": "fbo"
},
"idempotencyKey": "3a1a33be-4e12-4603-9ed0-820922389fb8"
},
"relationships": {
"customer": {
"data": {
"type": "customer",
"id": "8"
}
}
}
}
}'
Response
Response is a JSON:API document.
201 Created
| Name | Type | Description |
|---|---|---|
| data | FinancialBusinessFBOAccount | The requested resource after the operation was completed. |
{
"type": "financialBusinessFBOAccount",
"id": "1",
"attributes": {
"createdAt": "2023-07-12T10:19:30.409Z",
"name": "Thread Bank for the benefit of Pied Piper Inc.",
"status": "Open",
"depositProduct": "checking",
"routingNumber": "812345678",
"accountNumber": "1000000002",
"currency": "USD",
"balance": 10000,
"hold": 0,
"available": 10000,
"tags": {
"purpose": "fbo"
}
},
"relationships": {
"customer": {
"data": {
"type": "customer",
"id": "8"
}
}
}
}